/* #define MEMORYDEBUG	/* Undefine this to disable memdebugger */
#define NOPROTOTYPES	/* Some compilers don't like 'em */


#ifdef NOPROTOTYPES
extern void *ttmaloc();
extern void *ttrealloc();
extern void ttfree();
extern char *ttstrdup();
extern void tttestused();
#else
extern void *ttmaloc(unsigned int);
extern void *ttrealloc(void *, unsigned int);
extern void ttfree(void *);
extern char *ttstrdup(char *);
extern void tttestused(void );
#endif



#ifdef MEMORYDEBUG

#define malloc(x) ttmaloc(x)
#define realloc(n,s) ttrealloc(n,s)
#define free(x) ttfree(x)
#define strdup(x) ttstrdup(x)

#endif /* MEMORYDEBUG */
